curl --request POST \
--url https://api.sandbox.usenash.com/v1/delivery-window \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": "2024-01-01T10:00:00Z",
"startTimeLocal": "2024-01-01T10:00:00",
"endTime": "2024-01-01T12:00:00Z",
"endTimeLocal": "2024-01-01T12:00:00",
"cutoffTime": "2024-01-01T10:00:00Z",
"cutoffTimeLocal": "2024-01-01T10:00:00",
"timezoneId": "America/New_York",
"name": "Monday Delivery Window",
"rrule": "RRULE:FREQ=WEEKLY;BYDAY=MO",
"exceptionDates": [
"2024-01-01",
"2024-01-02"
],
"allowedTags": [
"service:rapid",
"service:express",
"franchise_location"
],
"leadTimeMinutes": 60,
"priceCents": 1000,
"minimumOrderValueCents": 1000,
"maximumCapacity": 1000,
"storeLocationId": "stl_01234567890123456789",
"zoneId": "zone_01234567890123456789",
"zoneExternalId": "ext_01234567890123456789",
"windowMetadata": {
"key": "value"
},
"isActive": true,
"isDeleted": false
}
'import requests
url = "https://api.sandbox.usenash.com/v1/delivery-window"
payload = {
"startTime": "2024-01-01T10:00:00Z",
"startTimeLocal": "2024-01-01T10:00:00",
"endTime": "2024-01-01T12:00:00Z",
"endTimeLocal": "2024-01-01T12:00:00",
"cutoffTime": "2024-01-01T10:00:00Z",
"cutoffTimeLocal": "2024-01-01T10:00:00",
"timezoneId": "America/New_York",
"name": "Monday Delivery Window",
"rrule": "RRULE:FREQ=WEEKLY;BYDAY=MO",
"exceptionDates": ["2024-01-01", "2024-01-02"],
"allowedTags": ["service:rapid", "service:express", "franchise_location"],
"leadTimeMinutes": 60,
"priceCents": 1000,
"minimumOrderValueCents": 1000,
"maximumCapacity": 1000,
"storeLocationId": "stl_01234567890123456789",
"zoneId": "zone_01234567890123456789",
"zoneExternalId": "ext_01234567890123456789",
"windowMetadata": { "key": "value" },
"isActive": True,
"isDeleted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2024-01-01T10:00:00Z',
startTimeLocal: '2024-01-01T10:00:00',
endTime: '2024-01-01T12:00:00Z',
endTimeLocal: '2024-01-01T12:00:00',
cutoffTime: '2024-01-01T10:00:00Z',
cutoffTimeLocal: '2024-01-01T10:00:00',
timezoneId: 'America/New_York',
name: 'Monday Delivery Window',
rrule: 'RRULE:FREQ=WEEKLY;BYDAY=MO',
exceptionDates: ['2024-01-01', '2024-01-02'],
allowedTags: ['service:rapid', 'service:express', 'franchise_location'],
leadTimeMinutes: 60,
priceCents: 1000,
minimumOrderValueCents: 1000,
maximumCapacity: 1000,
storeLocationId: 'stl_01234567890123456789',
zoneId: 'zone_01234567890123456789',
zoneExternalId: 'ext_01234567890123456789',
windowMetadata: {key: 'value'},
isActive: true,
isDeleted: false
})
};
fetch('https://api.sandbox.usenash.com/v1/delivery-window', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "dw_01234567890123456789",
"name": "Monday Delivery Window",
"startTime": "2024-01-01T10:00:00Z",
"startTimeLocal": "2024-01-01T10:00:00",
"endTime": "2024-01-01T12:00:00Z",
"endTimeLocal": "2024-01-01T12:00:00",
"timezoneId": "America/New_York",
"cutoffTime": "2024-01-01T10:00:00Z",
"cutoffTimeLocal": "2024-01-01T10:00:00",
"rrule": "RRULE:FREQ=WEEKLY;BYDAY=MO",
"exceptionDates": [
"2024-01-01",
"2024-01-02"
],
"allowedTags": [
"service:rapid",
"service:express",
"franchise_location"
],
"leadTimeMinutes": 60,
"priceCents": 1000,
"minimumOrderValueCents": 1000,
"maximumCapacity": 1000,
"storeLocationId": "stl_01234567890123456789",
"zoneId": "zone_01234567890123456789",
"zoneExternalId": "ext_01234567890123456789",
"windowMetadata": {
"key": "value"
},
"isActive": true,
"isDeleted": false
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Create a single delivery window
Create a delivery window defining an available time slot for scheduled deliveries. Delivery windows are associated with a store location and have capacity limits.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Expected payload for creating a delivery window.
The start time of the delivery window.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T10:00:00Z"
The start time of the delivery window in local timezone.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T10:00:00"
The end time of the delivery window.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T12:00:00Z"
The end time of the delivery window in local timezone.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T12:00:00"
The cutoff time of the delivery window.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T10:00:00Z"
The cutoff time of the delivery window in local timezone.
(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).?(\d)*Z?"2024-01-01T10:00:00"
The timezone id of the delivery window.
"America/New_York"
The name of the delivery window.
"Monday Delivery Window"
The rrule of the delivery window.
"RRULE:FREQ=WEEKLY;BYDAY=MO"
The exception dates of the delivery window.
["2024-01-01", "2024-01-02"]
The allowed tags of the delivery window.
[
"service:rapid",
"service:express",
"franchise_location"
]
The lead time of the delivery window.
60
The price of the delivery window.
1000
The minimum order value of the delivery window.
1000
The maximum capacity of the delivery window.
1000
The store location id of the delivery window.
"stl_01234567890123456789"
The zone id of the delivery window.
"zone_01234567890123456789"
The external zone id of the delivery window.
"ext_01234567890123456789"
The metadata of the delivery window.
{ "key": "value" }
Whether the delivery window is active.
true
Whether the delivery window is deleted.
false
Response
OK
Response for a delivery window.
The ID of the delivery window.
"dw_01234567890123456789"
The name of the delivery window.
"Monday Delivery Window"
The start time of the delivery window.
"2024-01-01T10:00:00Z"
The start time of the delivery window in local timezone.
"2024-01-01T10:00:00"
The end time of the delivery window.
"2024-01-01T12:00:00Z"
The end time of the delivery window in local timezone.
"2024-01-01T12:00:00"
The timezone id of the delivery window.
"America/New_York"
The cutoff time of the delivery window.
"2024-01-01T10:00:00Z"
The cutoff time of the delivery window in local timezone.
"2024-01-01T10:00:00"
The rrule of the delivery window.
"RRULE:FREQ=WEEKLY;BYDAY=MO"
The exception dates of the delivery window.
["2024-01-01", "2024-01-02"]
The allowed tags of the delivery window.
[
"service:rapid",
"service:express",
"franchise_location"
]
The lead time of the delivery window.
60
The price of the delivery window.
1000
The minimum order value of the delivery window.
1000
The maximum capacity of the delivery window.
1000
The store location id of the delivery window.
"stl_01234567890123456789"
The zone id of the delivery window.
"zone_01234567890123456789"
The external zone id of the delivery window.
"ext_01234567890123456789"
The metadata of the delivery window.
{ "key": "value" }
Whether the delivery window is active.
true
Whether the delivery window is deleted.
false
Was this page helpful?